---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2020-05-26T14:24:05Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:endpoints: {}
        f:jobLabel: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:app: {}
    manager: cluster-version-operator
    operation: Update
    time: "2020-05-26T14:24:05Z"
  name: authentication-operator
  namespace: openshift-authentication-operator
  resourceVersion: "13009"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-authentication-operator/servicemonitors/authentication-operator
  uid: 7ab5335c-835d-4704-a1c5-626ce1f79dea
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    metricRelabelings:
    - action: drop
      regex: etcd_(debugging|disk|request|server).*
      sourceLabels:
      - __name__
    path: /metrics
    port: https
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: metrics.openshift-authentication-operator.svc
  jobLabel: component
  selector:
    matchLabels:
      app: authentication-operator
